import logout from "../../../images/logout1.png";
import { useState } from "react";
import {
  Button,
  Dialog,
  DialogTitle,
  DialogContent,
  TextField,
  DialogActions,
  InputBase,
  // Fade,
} from "@mui/material";
import { makeStyles, createStyles, Theme, alpha } from "@material-ui/core";
import SearchIcon from "@mui/icons-material/Search";
import { store } from "../../../modules/reducers";
import CLogout from "../../LogOutBtn/LogOutBtn";
import logo from "../../../images/krakenLogo2.png";
import { Link } from "react-router-dom";

const useStyles = makeStyles((theme) =>
  createStyles({
    search: {
      position: "relative",
      borderRadius: theme.shape.borderRadius,
      backgroundColor: alpha(theme.palette.common.white, 0.15),
      "&:hover": { backgroundColor: alpha(theme.palette.common.white, 0.25) },
      marginLeft: 0,
      width: "100%",
      // display: "flex",
      [theme.breakpoints.up("sm")]: {
        marginLeft: theme.spacing(1),
        width: "auto",
      },
    },
    searchIcon: {
      padding: theme.spacing(0, 2),
      height: "100%",
      position: "absolute",
      pointerEvents: "none",
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
    },
    inputRoot: {
      color: "inherit",
    },
    inputInput: {
      padding: theme.spacing(1, 1, 1, 0),
      paddingLeft: `calc(1em+${theme.spacing(4)}px)`,
      transition: theme.transitions.create("width"),
      width: "100%",
      color: "inherit",
      [theme.breakpoints.up("sm")]: {
        width: "12ch",
        "&:focus": {
          width: "30ch",
        },
      },
    },
  })
);

const Search = () => {
  const classes = useStyles();
  return (
    <div className={classes.search}>
      <div className={classes.searchIcon}>
        <SearchIcon />
      </div>
      <InputBase
        placeholder="Поиск..."
        classes={{
          root: classes.inputRoot,
          input: classes.inputInput,
        }}
        inputProps={{ "aria-label": "search" }}
      />
    </div>
  );
};
const Header = ({ children }) => {
  // let burgerState = false;
  // let [menuState, setMenuState] = useState(burgerState);
  // function handleMenu (burgerState) {setMenuState(burgerState) };

  const [open, setOpen] = useState(true);
  const handleClickOpen = () => setOpen(false);
  // const handleClose = () => setOpen(true);

  return (
    <header className="headerWrapper">
      <div className="navWrapper">
        <img src={logo} className="App-logo" alt="logo" />
        {/* { children} */}
        <Search />
        {/* <div className="searchWrapper">asdcascx</div> */}
        <Link style={{ textDecoration: "none", color: "inherit" }} to="/new_ad">
          <Button
            onClick={handleClickOpen}
            sx={{
              backgroundColor: "white",
              color: "rgb(6, 59, 60)",
              display: "block",
              fontSize: "14px",
              fontWeight: "600",
              borderColor: "white",
              borderWidth: "3px",
              borderStyle: "solid",
              padding: "4px",
              height: "39px",

              "&:hover": {
                backgroundColor: "rgb(6, 59, 60)",
                color: "lightGrey",
                borderColor: "lightGrey",
              },
            }}
          >
            Подать объявление
          </Button>
        </Link>
        <div style={{ display: "flex", alignItems: "center" }}>
          <Link
            style={{ textDecoration: "none", color: "inherit" }}
            to="/user_profile"
          >
            <Button
              onClick={handleClickOpen}
              sx={{
                color: "lightgray",
                display: "block",
                fontSize: "12px",
                "&:hover": {
                  backgroundColor: "rgba(256, 256, 256, 0.2)",
                },
              }}
            >
              <img src={logout} className="loginIcon" alt="logoutIcon" />
              {store.getState().auth.payload?.sub?.login}
            </Button>
          </Link>
          <CLogout style={{ marginLeft: "10px" }} sx={{ color: "lightgray" }} />
        </div>
      </div>

      {/* <div className={styles.container}>
                    <div className={styles.wrapper}>
                            <Logo />
                            <Burger menuState={menuState} handleMenu = {(isOpen)=> setMenuState(isOpen)}/>
                                        </div>
                        <Menu menuList={menuList} contactsList={contactsList} menuState={ menuState}/>
                </div> */}
    </header>
  );
};
export default Header;
