import { connect } from "react-redux";
import { actionAuthLogout } from "../../modules/actions";
import { Button } from "@mui/material";

const LogOutBtn = ({ children, onLogout }) => {
  return (
    <Button
      variant="raised"
      sx={{
        height: "50px",
        color: "lightGray",
        fontWeight: "600",
        "&:hover": {
          backgroundColor: "rgba(256, 256, 256, 0.2)",
        },
      }}
      onClick={() => onLogout()}
    >
      {children}
    </Button>
  );
};
const CLogout = connect((state) => ({ children: `Выйти` }), {
  onLogout: actionAuthLogout,
})(LogOutBtn);
export default CLogout;
