import { connect } from "react-redux";
import { Router, Route, Link, Redirect, Switch } from "react-router-dom";
import AllAdsPage from "../../pages/AllAdsPage";
import LoginPage from "../../pages/LoginPage";
import SignUpPage from "../../pages/SignUpPage";
import UserProfilePage from "../../pages/UserProfilePage";
import UserNewAdPage from "../../pages/UserNewAdPage";
import UserAdsPage from "../../pages/UserAdsPage";
import UserAdEditPage from "../../pages/UserAdEditPage";
import UserFavPage from "../../pages/UserFavAdsPage";
import SearchPage from "../../pages/SearchPage";
import AdPage from "../../pages/AdPage";
import { store } from "../../modules/reducers";

const ProtectedRoute = ({
  roles = [],
  fallback = "/login",
  component,
  auth = ["anon"],
  ...routeProps
}) => {
  const WrapperComponent = (renderProps) => {
    const C = component;
    const resultArray = roles.filter((role) => auth.includes(role));
    if (resultArray.length === 0) {
      return <Redirect to={fallback} />;
    } else return <C {...renderProps} />;
  };
  return <Route {...routeProps} component={WrapperComponent}></Route>;
};
const CProtectedRoute = connect((state) => ({
  auth: state.auth.payload?.sub.acl,
}))(ProtectedRoute);

// const ProtectedRoute = ({
//   roles = [],
//   fallback = "/login",
//   component,
//   auth,
//   ...routeProps
// }) => {
//   const WrapperComponent = (renderProps) => {
//     const Component = component;
//     if (!auth) auth = ["anon"];
//     let res = roles.filter((x) => auth.includes(x));
//     if (res.length > 0) {
//       return <Redirect to={fallback} />;
//     } else return <Component {...renderProps} />;
//     // connect auth к reduxState.auth.payload.sub.acl
//     // сопоставить аuth с roles
//     // auth пустой то auth =["anon"]
//     // если пересечение массивов пустое ьл перейти в history.push  или <Redirect to> на fallback
//     //иначе отрисовка компонента
//   };
//   return <Route {...routeProps} component={WrapperComponent} />;
// };

const Page404 = () => {
  return <div>WTF</div>;
};

const Routing = ({ token }) => {
  return (
    <div>
      {/* <Switch> */}
      {token ? <Redirect to="/main" /> : <Redirect to="/login" />}
      <CProtectedRoute
        roles={["anon"]}
        fallback="/main"
        path="/login"
        component={LoginPage}
      />
      <CProtectedRoute
        roles={["user"]}
        fallback="/login"
        path="/main"
        component={AllAdsPage}
      />
      <Switch>
        <CProtectedRoute
          roles={["anon"]}
          fallback="/login"
          path="/signup"
          component={SignUpPage}
        />
        <CProtectedRoute
          roles={["user"]}
          fallback="/main"
          path="/user_profile"
          component={UserProfilePage}
        />
        <CProtectedRoute
          roles={["user"]}
          fallback="/main"
          path="/new_ad"
          component={UserNewAdPage}
        />
        {/* <Route path="/signup" component={SignUpPage} /> */}
        {/* <Route path="/user_profile" component={UserProfilePage}/ > */}
        {/* {!store.getState().auth.token && <Redirect to="/login" />} */}
        {/* {store.getState().auth.token && <Redirect to="/main" />} */}
        {/* {localStorage.authToken && <Redirect to="/main" />} */}
        {/* <Redirect from="/main" to="/" /> */}
        {/* {store.getState().auth.token && <Redirect to="/main" />} */}

        {/* {store.getState().auth.token && <Redirect to="/main" />} */}
        <Route path="*" component={Page404} />
      </Switch>
    </div>
  );
};

const CRouting = connect((state) => ({ token: state.auth.token }))(Routing);
export default CRouting;

{
  /* <Route path="/register" component={CSignUpForm}/> */
}
{
  /* <Route path="/login" component={LoginPage} />
            <Route path="/main" component={AllAdsPage} /> */
}
