import { CBasic } from "../../components/DropZone/DropZone";
import { uploadFile, uploadFiles } from "../../basic/uploadFilesFunc";
import BodyWrapper from "../../components/FrontArchitecture/BodyWrapper/BodyWrapper";
import Header from "../../components/FrontArchitecture/Header/Header";
import Main from "../../components/FrontArchitecture/Main/Main";
import Footer from "../../components/Footer/Footer";
import { Link } from "react-router-dom";
import { useState } from "react";
import {
  Button,
  DialogTitle,
  DialogContent,
  TextField,
  DialogActions,
  Container,
  Typography,
} from "@mui/material";

const UserNewAdPage = () => {
  const [title, setTitle] = useState("");
  const [description, setDescription] = useState("");
  const onPublick = () => {};
  return (
    <BodyWrapper>
      <Header />
      <Main>
        <Container className="newAd" maxWidth="md">
          <DialogTitle id="newAd" sx={{ color: "rgb(90, 90, 90)" }}>
            <Typography variant="h4" gutterBottom>
              Создать объявление
            </Typography>
          </DialogTitle>
          <DialogContent>
            <Typography variant="h5" gutterBottom>
              Опишите в подробностях
            </Typography>
            <TextField
              autoFocus
              margin="dense"
              id="title"
              label="Укажите название"
              type="text"
              value={title}
              onChange={(e) => setTitle(e.target.value)}
              fullWidth
              required
            ></TextField>
            <Typography variant="h5" gutterBottom>
              Фото
            </Typography>
            <p>Первое фото будет на обложке объявления.</p>
            <p>Перетащите, чтобы изменить порядок.</p>
            <CBasic onLoad={uploadFile} />
            <Typography variant="h5" gutterBottom>
              Описание*
            </Typography>
            <TextField
              multiline
              maxRows="10"
              margin="dense"
              id="desc"
              label="Описание"
              type="description"
              value={description}
              onChange={(e) => setDescription(e.target.value)}
              fullWidth
              required
            ></TextField>
          </DialogContent>
          <DialogActions sx={{ display: "block" }}>
            <Button variant="contained" onClick={() => onPublick()}>
              {" "}
              Опубликовать{" "}
            </Button>
            <div>
              {/* <Link
                style={{ textDecoration: "none", color: "inherit" }}
                to="/signup"
              >
                <Button onClick={handleOpen}>Sign up</Button>
              </Link> */}
            </div>
          </DialogActions>
        </Container>
      </Main>
      <Footer />
    </BodyWrapper>
  );
};
export default UserNewAdPage;
